Aller au contenu principal
Sujet: Compilation Kernel (Lu 339 fois) sujet précédent - sujet suivant

Re : Compilation Kernel

Répondre #15
Sauf que comme dit, si tu as un kernel trop récent et que tu as besoin des headers, tu as forcément besoin d'un glibc à jour, c'est tout le problème de ce fonctionnement "boiteux".

C'est pour ça que même le dépôt "kernel" ne fonctionne plus réellement avec leap 15.2 vu qu'il a été compilé sous glibc 2.33 et que les headers ont besoin de glibc 2.33 en dépendance.

Et je me demande si on compilant soit même son kernel on levait ce genre de pb, si on compile avec glibc 2.26 genre un kernel 5.10 (le dernier lts).

Je me demande d'ailleurs si leap 15.3 met à jour glibc ou pas, je n'ai pas fait gaffe, je vais regarder tien.

EDIT: vérifié, c'est la 2.31 dans LEAP 15.3 pour l'instant


Re : Compilation Kernel

Répondre #17
Bon j'ai testé à l'arrache sous tumbleweed de builder un kernel 5.10.
C'est ok pour le build, pour l'installation via zypper ça foire niveau dépendance.
Je testerais en vm sur une leap 15.12 pour voir si c'est pareil.